
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

			function verificaDocumentos()
			{
				var tipo = "Prof";
				var tipo2 = "Prof2";
				verificaNIS(tipo,tipo2);
				verificaCPF(tipo,tipo2);
				verificaRG(tipo,tipo2);
				verificaCT(tipo,tipo2);
				verificaTE(tipo,tipo2);
				verificaPIS(tipo,tipo2);
			}

			function verificaNIS(tipo,tipo2)
			{
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				// desabilita todos os campos (s� vou habilitar)
				$("#form_nisusuario" + tipo).attr("disabled",true);
				$("input[name='form_nisusuarioapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_nisusuariodigitalizada" + tipo  + "']").attr("disabled",true);
				$("#form_nis" + tipo + "1").attr("disabled",true);
				$("#form_nis" + tipo + "2").attr("disabled",true);
				$("input[name='form_temNIS" + tipo + "']").removeAttr("disabled");
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temNIS" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_nisusuario" + tipo).removeAttr("disabled");
					$("input[name='form_nisusuarioapresentada" + tipo + "']").removeAttr("disabled");
					if( $("input[name='form_nisusuarioapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_nisusuariodigitalizada" + tipo  + "']").removeAttr("disabled");
						// se digitalizado, habilita campos de upload
						if( $("#form_nisusuariodigitalizada" + tipo + ":checked").val() == 'S'	)
						{
							$("#form_nis" + tipo + "1").removeAttr("disabled");
							$("#form_nis" + tipo + "2").removeAttr("disabled");
						}
					}
				}		
			}
			function verificaCPF(tipo,tipo2)
			{
				// desabilita todos os campos (s� vou habilitar)
				$("#form_cpfusuario" + tipo).attr("disabled",true);
				$("input[name='form_cpfapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_cpfdigitalizada" + tipo + "']").attr("disabled",true);
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				$("#form_cpf" + tipo + "1").attr("disabled",true);
				$("#form_cpf" + tipo + "2").attr("disabled",true);
				$("input[name='form_temCPF" + tipo + "']").removeAttr("disabled");
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temCPF" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_cpfusuario" + tipo).removeAttr("disabled");
					$("input[name='form_cpfapresentada" + tipo + "']").removeAttr("disabled");
					if( $("input[name='form_cpfapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_cpfdigitalizada" + tipo + "']").removeAttr("disabled");
						if( $("input[name='form_cpfdigitalizada" + tipo + "']:checked").val() == 'S'	)
						{
							// se digitalizado, habilita campos de upload
							$("#form_cpf" + tipo + "1").removeAttr("disabled");
							$("#form_cpf" + tipo + "2").removeAttr("disabled");
						}
					}
				}
			}
			function verificaRG(tipo,tipo2)
			{
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				// desabilita todos os campos (s� vou habilitar)
				$("#form_rgusuario" + tipo).attr("disabled",true);
				$("#form_rgusuarioestado" + tipo).attr("disabled",true);
				$("#form_rgusuariodataemissao" + tipo).attr("readonly",true);
				$("#form_rgusuarioorgaoemissor" + tipo).attr("disabled",true);
				$("input[name='form_rgusuarioapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_rgusuariodigitalizada" + tipo + "']").attr("disabled",true);
				$("#form_rg" + tipo + "1").attr("disabled",true);
				$("#form_rg" + tipo + "2").attr("disabled",true);
				$("input[name='form_temRG" + tipo + "']").removeAttr("disabled");
				$("#form_dataRg").css("display","none");
				//document.getElementById("form_dataRg" + tipo2).style.display = 'none' ;
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temRG" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_rgusuario" + tipo).removeAttr("disabled");
					$("#form_rgusuarioestado" + tipo).removeAttr("disabled");
					$("#form_rgusuarioorgaoemissor" + tipo).removeAttr("disabled");
					$("input[name='form_rgusuarioapresentada" + tipo + "']").removeAttr("disabled");
					$("#form_dataRg").css("display","inline");
					if( $("input[name='form_rgusuarioapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_rgusuariodigitalizada" + tipo + "']").removeAttr("disabled");
						if( $("input[name='form_rgusuariodigitalizada" + tipo + "']:checked").val() == 'S'	)
						{
							// se digitalizado, habilita campos de upload						
							$("#form_rg" + tipo + "1").removeAttr("disabled");
							$("#form_rg" + tipo + "2").removeAttr("disabled");
						}
					}
				}				
			}
			function verificaCT(tipo,tipo2)
			{
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				// desabilita todos os campos (s� vou habilitar)
				$("#form_carteiratrabusuario" + tipo).attr("disabled",true);
				$("#form_carteiratrabusuarioserie" + tipo).attr("disabled",true);
				$("#form_carteiratrabusuarioestado" + tipo).attr("disabled",true);
				$("#form_carteiratrabusuariodataemissao" + tipo).attr("readonly",true);
				
				$("input[name='form_carteiratrabusuarioapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_carteiratrabusuariodigitalizada" + tipo + "']").attr("disabled",true);
				$("#form_carteiraTrab" + tipo + "1").attr("disabled",true);
				$("#form_carteiraTrab" + tipo + "2").attr("disabled",true);
				
				$("#form_dataCT").css("display","none");				

				$("input[name='form_temCarteiraTrab" + tipo + "']").removeAttr("disabled");
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temCarteiraTrab" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_carteiratrabusuario" + tipo).removeAttr("disabled");
					$("#form_carteiratrabusuarioserie" + tipo).removeAttr("disabled");
					$("#form_dataCT").css("display","inline");
					
					$("#form_carteiratrabusuarioestado" + tipo).removeAttr("disabled");
					$("input[name='form_carteiratrabusuarioapresentada" + tipo + "']").removeAttr("disabled");
					if( $("input[name='form_carteiratrabusuarioapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_carteiratrabusuariodigitalizada" + tipo + "']").removeAttr("disabled");
						if( $("input[name='form_carteiratrabusuariodigitalizada" + tipo + "']:checked").val() == 'S'	)
						{
							// se digitalizado, habilita campos de upload						
							$("#form_carteiraTrab" + tipo + "1").removeAttr("disabled");
							$("#form_carteiraTrab" + tipo + "2").removeAttr("disabled");
						}
					}
				}
			}
			function verificaTE(tipo,tipo2)
			{
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				//desabilita todos os campos (s� vou habilitar)
				$("#form_titeleitorusuario" + tipo).attr("disabled",true);
				$("#form_titeleitorusuariozona" + tipo).attr("disabled",true);
				$("#form_titeleitorusuariosecao" + tipo).attr("disabled",true);
				
				$("input[name='form_titeleitorusuarioapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_titeleitorusuariodigitalizada" + tipo + "']").attr("disabled",true);
				$("#form_titulo" + tipo + "1").attr("disabled",true);
				$("#form_titulo" + tipo + "2").attr("disabled",true);

				$("input[name='form_temTituloEleitor" + tipo + "']").removeAttr("disabled");
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temTituloEleitor" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_titeleitorusuario" + tipo).removeAttr("disabled");
					$("#form_titeleitorusuariozona" + tipo).removeAttr("disabled");
					$("#form_titeleitorusuariosecao" + tipo).removeAttr("disabled");
					$("input[name='form_titeleitorusuarioapresentada" + tipo + "']").removeAttr("disabled");
					if( $("input[name='form_titeleitorusuarioapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_titeleitorusuariodigitalizada" + tipo + "']").removeAttr("disabled");
						if( $("input[name='form_titeleitorusuariodigitalizada" + tipo + "']:checked").val() == 'S'	)
						{
							// se digitalizado, habilita campos de upload						
							$("#form_titulo" + tipo + "1").removeAttr("disabled");
							$("#form_titulo" + tipo + "2").removeAttr("disabled");
						}
					}
				}
			}
			function verificaPIS(tipo,tipo2)
			{
				if ( tipo2 == '' )
					tipo2 = 'Outro';
				//desabilita todos os campos (s� vou habilitar)
				$("#form_pispasepusuario" + tipo).attr("disabled",true);
				
				$("input[name='form_pispasepusuarioapresentada" + tipo + "']").attr("disabled",true);
				$("input[name='form_pispasepusuariodigitalizada" + tipo + "']").attr("disabled",true);
				$("#form_pispasep" + tipo + "1").attr("disabled",true);
				$("#form_pispasep" + tipo + "2").attr("disabled",true);

				$("input[name='form_temPIS" + tipo + "']").removeAttr("disabled");
				// ok, agora habilita o que tiver que ser habilitado
				var val = $("input[name='form_temPIS" + tipo + "']:checked").val();
				if( val == 'S' )
				{
					$("#form_pispasepusuario" + tipo).removeAttr("disabled");
					$("input[name='form_pispasepusuarioapresentada" + tipo + "']").removeAttr("disabled");
					if( $("input[name='form_pispasepusuarioapresentada" + tipo + "']:checked").val() == 'S'	)
					{
						// se conferido, habilita digitalizado
						$("input[name='form_pispasepusuariodigitalizada" + tipo + "']").removeAttr("disabled");
						if( $("input[name='form_pispasepusuariodigitalizada" + tipo + "']:checked").val() == 'S'	)
						{
							// se digitalizado, habilita campos de upload						
							$("#form_pispasep" + tipo + "1").removeAttr("disabled");
							$("#form_pispasep" + tipo + "2").removeAttr("disabled");
						}
					}
				}
			}

function checkNationalityProf()
{
	var field = document.getElementsByName('form_nacionalidadeProfessor');
	var destField = document.getElementById('form_codigoPaisProfessor');

	var fieldUFNasc = document.getElementById('form_ufNascimentoProfessor');
	var fieldMuniNasc = document.getElementById('form_codigoMunicipioNascimentoProfessor');

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	var index=0;
	for (var i=0; i < field.length; i++)
	{
		/* SE ESTRANGEIRA */
		if(field[i].checked && (field[i].value == 2 || field[i].value == 3))
		{
			/* SELECIONA O PRIMEIRO ITEM DA LISTA DE PAISES */
			destField.options[index].selected = true;
			//destField[destField.selectedIndex].text = 'ABISS�NIA';
			destField.selectedIndex = 1;

			/* SELECIONA A UF N/A DA LISTA DE UFs */
			fieldUFNasc.options[fieldUFNasc.length-1].selected = true;
			
			/* LIMPANDO A LISTA DE MUNICIPIOS */
			select_innerHTML(fieldMuniNasc,null);

			return false;
		}
		
		/* SE BRASILEIRA */
		if(field[i].checked && (field[i].value == 1))
		{
			/* SELECIONA PAIS COMO "BRASIL" */
			// isso aqui � errado!! O que ele faz � mudar o texto do pais de indice selecionado para Brasil. E larga o c�digo igual.
			//destField[destField.selectedIndex].text = 'BRASIL';
			// o jeito � selecionar pelo c�digo (com o jquery � f�cil). C�digo 10 � o do Brasil
			$('form_codigoPaisProfessor').val(10);
			/* SELECIONA UF NASCIMENTO PARA PRIMEIRO DA LISTA */
			fieldUFNasc.options[index].selected = true;

			/* SELECIONA AS LISTAS DE MUNICIPIOS BASEADO NO ESTADO */
			do_cityByStateProf('form_ufNascimentoProfessor');

			return false;
		}

	}

	/* SE BRASILEIRA value == 1 */
	for (var i=0; i < destField.length; i++)
	{
		if (destField.options[i].text=='BRASIL')
		{
			destField.options[i].selected = true;
			break;
		}
	}
}

function do_cityByStateMuniNasciProf_cb(s) {
	document.getElementById('form_codigoMunicipioNascimentoProfessor').innerHTML = null;
	select_innerHTML(document.getElementById('form_codigoMunicipioNascimentoProfessor'), s);

	/*document.getElementById('form_codigoMunicipioNascimentoProfessor').innerHTML = null;
	document.getElementById('form_codigoMunicipioNascimentoProfessor').innerHTML = s;*/
}

function do_cityByStateProf(n) {
	var f = document.getElementById(n);
	var idx = f.selectedIndex;
	var val = f.options[idx].value;

	if (n == 'form_ufNascimentoProfessor') {
		loadMunicipios('form_ufNascimentoProfessor','form_codigoMunicipioNascimentoProfessor');
		//x_cityByState(val, do_cityByStateMuniNasciProf_cb);
		cleanNationalityCountrySourceProf();
	}
}

function checkCountryProf()
{
	var field = document.getElementById('form_codigoPaisProfessor');
	var destField = document.getElementsByName('form_nacionalidadeProfessor');
	var munid = document.getElementById('form_codigoMunicipioNascimentoProfessor');
	var ufid = document.getElementById('form_ufNascimentoProfessor');

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	/* SE SELECIONOU NA LISTA O PAIS BRASIL */
	if(field[field.selectedIndex].text=='BRASIL')
	{
		for (var i=0; i < destField.length; i++)
		{
			/* SE EXTRANGEIRA */
			if(destField[i].value == 2 || destField[i].value == 3)
			{
				/* DESMARCA A OPCAO EXTRANGEIRA */
				destField[i].checked = false;
			}
			else
			{
				/* MARCA A OPCAO BRASILEIRA */
				destField[i].checked = true;
			}
		}
	}
	else
	{
		//Limpando dados de UF e Municipio de Nascimento
		ufid.options[ufid.length-1].selected = true;
		select_innerHTML(munid,null);
		munid.disabled = true;
		ufid.disabled = true;
		
		for (var i=0; i < destField.length; i++)
		{
			/* SE EXTRANGEIRA */
			if (destField[i].checked && destField[i].value == 1)
			{
				/* MARCA A OPCAO BRASILEIRA */
				destField[i].checked = false;

				/* MARCA A OPCAO EXTRANGEIRA */
				destField[2].checked = true;

				break;
			}
		}
	}

	return true;
}

function cleanNationalityCountrySourceProf()
{
	var field = document.getElementsByName('form_nacionalidadeProfessor');
	var destField = document.getElementById('form_codigoPaisProfessor');

	/* CASO NO CAMPO UF NASCIMENTO ESTEJA VALOR N/A */
	if (document.getElementById('form_ufNascimentoProfessor').value == 0)
	{
		/* DESABILITA TODOS OS CAMPOS DE NACIONALIDADE */
		for (var i=0; i < field.length; i++)
		{
			field[i].checked = false;
		}

		/* DESMARCA PAIS DE ORIGEM */
		destField.options[0].selected = true;
	}
	else /* CASO CAMPO DE UF SEJA ALGUM ESTADO */
	{
		/* PARA TODOS OS RADIOS DE NACIONALIDADE */
		for (var i=0; i < field.length; i++)
		{
			/* DESMARCA NACIONALIDADES */
			field[i].checked = false;

			/* CASO SEJA BRASILEIRA */
			if ( field[i].value == 1 )
			{
				/* MARCA NACIONALIDADE BRASILEIRA */
				field[i].checked = true;
				break;
			}
		}

		/* PARA TODOS OS VALORES DE SELECT */
		for (var i=0; i < destField.length; i++)
		{
			/* SE A OPCAO E BRASIL */
			if (destField.options[i].text=='BRASIL')
			{
				/* MARCA O PAIS DE ORIGEM BRASIL */
				destField.options[i].selected = true;
				break;
			}
		}
	}
}

function checkReadaptado(n, data, data2)
{
	if(n == 0)
		{
			document.getElementById(data).disabled = true;
			document.getElementById(data2).disabled = true;
			document.getElementById('form_dataImagem').style.display='none';
			document.getElementById('form_dataImagem2').style.display='none';
			
		}
	else
	{
		document.getElementById(data).disabled = false;
		document.getElementById(data2).disabled = false;
		document.getElementById('form_dataImagem').style.display='inline';
		document.getElementById('form_dataImagem2').style.display='inline';
	}
}

function isCPFValido(s1){
    var i;
    var s ="";

    if (s1 == "") {
        return true;
    }

    for (i = 0; i < 14 ; i++) {
        if (s1.charAt(i) != "." && s1.charAt(i) != "-")
           s += s1.charAt(i);
    }

    var c = s.substr(0,9);
    var dv = s.substr(9,2);
    var d1 = 0;
    for (i = 0; i < 9; i++) {
        d1 += c.charAt(i)*(10-i);
    }

    if (d1 == 0){
        return false;
    }

    d1 = 11 - (d1 % 11);

    if (d1 > 9) d1 = 0;
    if (dv.charAt(0) != d1) {
	    return false;
    }

    d1 *= 2;

    for (i = 0; i < 9; i++) {
	    d1 += c.charAt(i)*(11-i);
    }

    d1 = 11 - (d1 % 11);

    if (d1 > 9) d1 = 0;
    if (dv.charAt(1) != d1) {
	    return false;
    }
    return true;
}

/* CASO A PESSOA MARCAR QUE NAO TEM ALGUM DOCUMENTO, ESTAS FUNCOES DESABILITAR�O OS MESMOS */
function disableCamposDocs(nRadio,nText,nRadio2,nRadio3,nFile,nFile2) {
	
	if(nRadio == 'N') {
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		cleanAndDisableAllBoxes(nRadio2);
		cleanAndDisableAllBoxes(nRadio3);
		document.getElementById(nFile).disabled = true;
		document.getElementById(nFile2).disabled = true;
	}
	else {
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		enableAllSetValue(nRadio2,'');
		enableAllSetValue(nRadio3,'');
		document.getElementById(nFile).disabled = false;
		document.getElementById(nFile2).disabled = false;
	}	
}

function disableRG(nRadio,nText,nSelect,nText2,nSelect2,nRadio2,nRadio3,nFile,nFile2) {
	
	if(nRadio == 'N'){
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = true;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = true;
		cleanAndDisableAllBoxes(nRadio2);
		cleanAndDisableAllBoxes(nRadio3);
		document.getElementById(nFile).disabled = true;
		document.getElementById(nFile2).disabled = true;
	}
	else {
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = false;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = false;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = false;
		enableAllSetValue(nRadio2,'');
		enableAllSetValue(nRadio3,'');
		document.getElementById(nFile).disabled = false;
		document.getElementById(nFile2).disabled = false;
	}	
}

function disableCarteira(nRadio,nText,nText2,nSelect,nText3,nRadio2,nRadio3,nFile,nFile2) {
	
	if(nRadio == 'N'){
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = true;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = true;
		cleanAndDisableAllBoxes(nRadio2);
		cleanAndDisableAllBoxes(nRadio3);
		document.getElementById(nFile).disabled = true;
		document.getElementById(nFile2).disabled = true;
	}
	else {
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = false;
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = false;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = false;
		enableAllSetValue(nRadio2,'');
		enableAllSetValue(nRadio3,'');
		document.getElementById(nFile).disabled = false;
		document.getElementById(nFile2).disabled = false;
	}
}

function disableEleitor(nRadio,nText,nText2,nText3,nRadio2,nRadio3,nFile,nFile2) {
	
	if(nRadio == 'N'){
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = true;
		cleanAndDisableAllBoxes(nRadio2);
		cleanAndDisableAllBoxes(nRadio3);
		document.getElementById(nFile).disabled = true;
		document.getElementById(nFile2).disabled = true;
	}
	else {
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = false;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = false;
		enableAllSetValue(nRadio2,'');
		enableAllSetValue(nRadio3,'');
		document.getElementById(nFile).disabled = false;
		document.getElementById(nFile2).disabled = false;
	}
}

function disableCertidao(nRadio,nSelect,nText,nText2,nText3,nText4,nText5,nRadio2,nRadio3,nFile,nFile2) {
	
	if(nRadio == 'N'){
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = true;
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = true;
		document.getElementById(nText4).value = '';
		document.getElementById(nText4).disabled = true;
		document.getElementById(nText5).value = '';
		document.getElementById(nText5).disabled = true;
		cleanAndDisableAllBoxes(nRadio2);
		cleanAndDisableAllBoxes(nRadio3);
		document.getElementById(nFile).disabled = true;
		document.getElementById(nFile2).disabled = true;
	}
	else {
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = false;
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = false;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = false;
		document.getElementById(nText4).value = '';
		document.getElementById(nText4).disabled = false;
		document.getElementById(nText5).value = '';
		document.getElementById(nText5).disabled = false;
		enableAllSetValue(nRadio2,'');
		enableAllSetValue(nRadio3,'');
		document.getElementById(nFile).disabled = false;
		document.getElementById(nFile2).disabled = false;
	}
}

function enableFile(nFile, nFile2) {
	document.getElementById(nFile).disabled=false;
	document.getElementById(nFile2).disabled=false;
}

function disableFile(nFile, nFile2) {
	document.getElementById(nFile).disabled=true;
	document.getElementById(nFile2).disabled=true;
}

function disableCorrespondencia(nRadio,nSelect,nText,nText2,nText3,nSelect2,nSelect3,nText4,nText5) {
	if(nRadio == 'N') {
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = true;
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = true;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = true;
		document.getElementById(nSelect3).value = '';
		document.getElementById(nSelect3).disabled = true;
		document.getElementById(nText4).value = '';
		document.getElementById(nText4).disabled = true;
		document.getElementById(nText5).value = '';
		document.getElementById(nText5).disabled = true;
	}
	else {
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = false;
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = false;
		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = false;
		document.getElementById(nText3).value = '';
		document.getElementById(nText3).disabled = false;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = false;
		document.getElementById(nSelect3).value = '';
		document.getElementById(nSelect3).disabled = false;
		document.getElementById(nText4).value = '';
		document.getElementById(nText4).disabled = false;
		document.getElementById(nText5).value = '';
		document.getElementById(nText5).disabled = false;
	}
}

function checkEstrangeiro (nRadio, nSelect, nSelect2) {
	if(nRadio == "2" || nRadio == "3") {
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = true;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = true;
	}
	else {
		document.getElementById(nSelect).value = '';
		document.getElementById(nSelect).disabled = false;
		document.getElementById(nSelect2).value = '';
		document.getElementById(nSelect2).disabled = false;
	}
}